<%@ Application Language="C#"%>

<%@ Import Namespace = "Trade.StockTraderWebApplicationSettings" %>
<%@ Import Namespace = "Trade.BusinessServiceConfigurationSettings" %>
<%@ Import Namespace = "Trade.OrderProcessorServiceConfigurationSettings" %>
<%@ Import Namespace = "Trade.Utility" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        Trade.StockTraderWebApplicationSettings.Settings settings = new Trade.StockTraderWebApplicationSettings.Settings();
        //This will initialize Business Service settings in case we are running with ACCESS_MODE=InProcess
        Trade.BusinessServiceConfigurationSettings.Settings thisSettings = new Trade.BusinessServiceConfigurationSettings.Settings();
        Trade.OrderProcessorServiceConfigurationSettings.Settings thisOPSSettings = new Trade.OrderProcessorServiceConfigurationSettings.Settings();
    }

    void Application_End(object sender, EventArgs e)
    {
       
    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // Code that runs when an unhandled error occurs
    }

    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>
